Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jetty.jndi
Class InitialContextFactory.DefaultParser

    java.lang.Object
      org.eclipse.jetty.jndi.InitialContextFactory.DefaultParser

All Implemented Interfaces:
  javax.naming.NameParser

Enclosing class:
  InitialContextFactory

    public static class InitialContextFactory.DefaultParser

extends java.lang.Object
implements javax.naming.NameParser

Constructor Summary
`InitialContextFactory.DefaultParser()`

Method Summary
`javax.naming.Name` | `parse(java.lang.String name)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InitialContextFactory.DefaultParser

    public InitialContextFactory.DefaultParser()

Method Detail

### parse

    public javax.naming.Name parse(java.lang.String name)
                            throws javax.naming.NamingException

  Specified by:
    `parse` in interface `javax.naming.NameParser`
  Throws:
    `javax.naming.NamingException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.